1.0

1.0

get /v1/reports/prices

Description

Get prices with optional filtering by billing_item_id and offering.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querybilling_item_id
optional
Filter by billing item ID
Example : VIRTUAL_SERVER
any of [string, null]None
queryoffering
optional
Filter by offering type (PS/PP/PG)
Example : PP
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKReportPriceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/prices

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "prices": "VIRTUAL_SERVER",
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "total_pages": 10
}